﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Silanis.ESL.SDK;
using Newtonsoft.Json.Linq;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Diagnostics;

namespace esl
{
    class PlaceholderManagement
    {
        public static void start()
        {
            EslClient eslClient = new EslClient(Properties.Settings.Default.key, Properties.Settings.Default.url);

            PackageId templateId = new PackageId("y0vNT13ia20eNsSP5iOLA0o-e_8=");

            //Add placeholder
            Placeholder placeholder = new Placeholder("Manager");

            Placeholder addedPlaceholder = eslClient.TemplateService.AddPlaceholder(templateId, placeholder);

            //Update placeholder
            addedPlaceholder.Name = "Client";
            Placeholder updatedPlaceholder = eslClient.TemplateService.UpdatePlaceholder(templateId, addedPlaceholder);

            //Delete placeholder
            eslClient.PackageService.RemoveSigner(templateId, addedPlaceholder.Id);
        }
    }
}
